## glib2.0 2.40.0

=== debian/changelog ===
glib2.0 (2.40.0-2) unstable; urgency=medium

  [ Iain Lane ]
  * gdbus-tests-wait-up-to-60s-for-gdbus-testserver-to-t.patch: Take latest
    version from upstream bug to resolve some test failures.
  * Add xauth test-dep, needed for xvfb-run

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2014 14:37:13 +0200

glib2.0 (2.40.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:58:34 +0100

glib2.0 (2.39.92-2) experimental; urgency=medium

  * test_timer_basic is still broken. Skip it.

 -- Iain Lane <laney@debian.org>  Tue, 18 Mar 2014 15:43:35 +0000

glib2.0 (2.39.92-1) experimental; urgency=medium

  * New upstream release.
  * 0001-timer-test-use-volatile-for-locals.patch: Take patch from bgo #722604
    to workaround gcc's intentional spec violation in the timer tests.
    + Remove debian/patches/80-skip-timer-test.patch accordingly; it should
      now work.

 -- Iain Lane <laney@debian.org>  Tue, 18 Mar 2014 10:14:36 +0000

glib2.0 (2.39.91-1) experimental; urgency=medium

  * New upstream release.
  * d/p/0001-asyncqueue-fix-timeout-math-on-32bit-systems.patch:
    + Dropped, merged upstream.
  * debian/patches/81-skip-monitor-test-on-non-linux.patch:
    + New patch, skip the monitor test on non-linux as it currently hangs.
  * debian/libglib2.0-0.symbols:
    + Add a new symbol.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 09 Mar 2014 15:06:31 +0100

glib2.0 (2.39.90-2) experimental; urgency=medium

  * debian/control.in:
    + Bump gtk-doc-tools build-dependency per configure.ac.
  * debian/patches/Don-t-use-a-parallel-build-for-the-documentation.patch:
    + Removed, no longer needed with gtk-doc 1.20.
  * d/p/0001-asyncqueue-fix-timeout-math-on-32bit-systems.patch:
    + Patch from git, fix an overflow in g_async_queue_timed_pop_unlocked
      on 32 bits systems.
  * debian/patches/80-skip-timer-test.patch:
    + Skip the timer test which currently fails on x86 because of float
      precission errors.
  * debian/rules:
    + Make the test suite fatal on linux.
    + Run the test suite on !linux, but ignore test suite errors for now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Feb 2014 16:36:18 +0100

glib2.0 (2.39.90-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches now included in upstream release:
    - 0001-glib-tests-collate.c-run-to-completion-when-skipping.patch
    - 0002-g_test_run-return-0-if-all-tests-are-skipped-in-TAP-.patch
  * Fix fuzz to make debian/patches/04_homedir_env.patch apply again.
  * Use quilt to refresh remaining patches.
  * debian/libglib2.0-0.symbols: Add new symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 19:53:16 +0100

glib2.0 (2.39.4-1) experimental; urgency=medium

  * New upstream development release.
  * debian/rules:
    + Tell dh_clean not to remove org.gtk.test.gschema.xml.orig, otherwise
      the build fails as that fail is missing. Apparently dh_clean removes
      everything that ends with .orig.
  * debian/libglib2.0-0.symbols:
    + Add new symbols.
  * d/p/valgrind_h_add_r0_to_the_clobber_list_on_PPC.patch,
    d/p/tests-move-param-implement-to-m-slow.patch,
    d/p/Fix-races-in-unix-signal-dispatch.patch:
    + Dropped, applied upstream.
  * d/p/0001-glib-tests-collate.c-run-to-completion-when-skipping.patch,
    d/p/0002-g_test_run-return-0-if-all-tests-are-skipped-in-TAP-.patch:
    + Add patches from upstream to fix test suite errors.
  * debian/patches/*:
    + Refreshed.
  * debian/rules:
    + Don't run the test suite in parallel as some tests fail otherwise.
    + Ignore test suite errors for now. There are a few known racy tests
      that fail randomly, and I'm more interested in whether glib builds
      fine everywhere. We should make the tests fatal again before 2.40.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Feb 2014 11:38:59 +0100

glib2.0 (2.38.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Feb 2014 12:34:05 +0100

glib2.0 (2.38.2-4) experimental; urgency=medium

  * Team upload
  * DEP-3: tag patch for Debian#737501 as sent upstream to GNOME#723653
  * d/p/gdbus-Let-the-pending-read-finish-before-closing-the.patch:
    add patch from Mikhail Zabaluev fixing a test failure on mips,
    also reproduced on mipsel (Closes: #738290)
  * d/p/Fix-races-in-unix-signal-dispatch.patch: add patch from upstream
    to fix what appears to be the root cause of #737380
  * d/p/gdbus-tests-wait-up-to-60s-for-gdbus-testserver-to-t.patch,
    d/p/gdbus-connection-wait-up-to-10s-to-actually-send-a-m.patch:
    improve arbitrary timeouts in regression tests, fixing an unreported
    FTBFS on armhf

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Feb 2014 17:43:08 +0000

glib2.0 (2.38.2-3) experimental; urgency=medium

  * Team upload
  * d/p/Don-t-use-a-parallel-build-for-the-documentation.patch:
    Disable parallel build for the documentation, hopefully fixing an
    intermittent FTBFS in which gtk-doc tries to scan Windows-specific
    objects (Closes: #737501)
  * d/p/Do-not-attempt-to-autolaunch-a-session-dbus-daemon-w.patch:
    Refuse to perform D-Bus "autolaunch" if $DISPLAY is unset, in which
    case it isn't going to work anyway. This works around a process-launching
    issue in the GApplication test on mipsel (Closes: #737380)
  * Bump debhelper compat level to 9, resulting in co-installable
    multiarch debug symbols and ~ 50% smaller installed size
    for libglib2.0-0-dbg (at the cost of ~ 30% larger .deb size)
    - mark libglib2.0-0-dbg Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Feb 2014 09:53:27 +0000

glib2.0 (2.38.2-2) experimental; urgency=medium

  * Team upload.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Enable parallel builds.

  [ Laurent Bigonville ]

