## glib2.0 2.40.2

=== debian/changelog ===
glib2.0 (2.40.2-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: NULL pointer deference
    - debian/patches/CVE-2018-16428.patch: fix in glib/gmarkup.c,
      glib/tests/Makefile.am,
      glib/tests/markups/fail-51.expected,
      glib/tests/markups/fail-51.gmarkup.
    - CVE-2018-16428
  * SECURITY UPDATE: Read out-of-bounds
    - debian/patches/CVE-2018-16429.patch: fix in glib/gmarkup.c and
      glib/tests/Makefile.am,
      glib/tests/markups/fail-50.expected,
      glib/tests/markups/fail-50.gmarkup.
    - CVE-2018-16429
  * Fixing tests in gdatetime invented timezone
    - debian/patches/User_a_real_rather_than_invented_timezone.patch: fix in
      glib/tests/gdatetime.c.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 17 Sep 2018 10:20:39 -0300

glib2.0 (2.40.2-0ubuntu1) trusty; urgency=medium

  * New upstream stable release (LP: #1372847), fixing bugs
    + gobject: try to link with -Wl,-z,nodelete to prevent unloading
    + g_file_copy: Don't set GError when we intend to ignore errors
    + gapplication-tool: ensure object paths are valid
    + gtlscertificate: fix certificate list parsing with trailing comments
    + g_str_has_prefix: improve efficiency with long strings
    + Added type check to GPermission public functions.
    + GApplication: Don't decrease use_count below 0
    + networkmonitornetlink: fix IPv6 issues on Android
    + gresolver: Ensure GThreadedResolver always sets an error if resolution
      fails
    + gmacros.h: add G_GNUC_*_IGNORE_DEPRECATIONS macros for clang
    + networkaddress: fix parsing of uri with @ after authority
    + gvariant tests: workaround libc/compiler "issue"

 -- Iain Lane <iain.lane@canonical.com>  Tue, 23 Sep 2014 10:37:56 +0100
