=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93),
                dh-autoreconf,
-               gcc-4.8 [sparc],
                pkg-config (>= 0.16.0),
                gettext,
                autotools-dev,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
                libelfg0-dev (>= 0.8.12),
-               libpcre3-dev (>= 1:8.31),
+               libpcre3-dev (>= 1:8.35),
                desktop-file-utils,
                gtk-doc-tools (>= 1.20),
                libselinux1-dev [linux-any],
@@ -25,15 +23,15 @@
                dbus-x11,
                shared-mime-info,
                xterm,
-               python:any (>= 2.6.6-3~),
+               python:any (>= 2.7.5-5~),
                python-dbus,
                python-gi,
                libxml2-utils,
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.5
 Homepage: http://www.gtk.org/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/glib2.0/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/glib2.0/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib2.0/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib2.0/
 XS-Testsuite: autopkgtest
 
 Package: libglib2.0-0
@@ -41,7 +39,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libglib2.0-data,
-            shared-mime-info
+            shared-mime-info,
+            xdg-user-dirs
 Breaks: gvfs (<< 1.8),
         glib-networking (<< 2.33.12),
         python-gi (<< 3.7.2),
