## glib2.0 2.42.1

=== debian/changelog ===
glib2.0 (2.42.1-1) unstable; urgency=medium

  [ Iain Lane ]
  * Pass --enable-debug=minimum not minimal - this is what configure.ac
    expects.

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release.
  * d/p/0001-properties-disable-default-deprecation-warnings.patch:
    + Removed, merged upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Nov 2014 18:53:49 +0100
