## glib2.0 2.44.0

=== debian/changelog ===
glib2.0 (2.44.0-1ubuntu3) vivid; urgency=medium

  * debian/patches/0001-Fix-trashing-on-overlayfs.patch: Cherry-pick patch
    from upstream bug to fix trash on live CDs (LP: #1445622).

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 21 Apr 2015 18:13:32 +0100

glib2.0 (2.44.0-1ubuntu2) vivid; urgency=medium

  * Use upstream's patch instead.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 16 Apr 2015 19:22:56 +0100

glib2.0 (2.44.0-1ubuntu1) vivid; urgency=medium

  * debian/patches/0001-Don-t-warn-about-deprecated-properties-by-
    default.patch:
    - Don't warn about deprecated properties by default (lp: #1430307)

 -- Lars Uebernickel <lars.uebernickel@canonical.com>  Thu, 16 Apr 2015 18:17:45 +0200

glib2.0 (2.44.0-1) experimental; urgency=medium

  * New upstream release 2.44.0
    + gsocket: Document FD ownership with g_socket_new_from_fd()

 -- Iain Lane <laney@debian.org>  Mon, 30 Mar 2015 16:35:53 +0100

glib2.0 (2.43.92-1) experimental; urgency=medium

  * New upstream release 2.43.92
    + GUnixMountMonitor now properly supports multiple main contexts
    + many documentation improvements and cleanups.
    + new support for HTTP proxies in GIO
    + new GTask:completed property
    + use "private" futexes in order to further improve the performance of the
      contended case of GMutex and g_bit_lock()
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Wed, 18 Mar 2015 11:03:04 +0000

glib2.0 (2.43.91-1) experimental; urgency=medium

  * New upstream release 2.43.91
    - We have now added 'g_autofree' as a libgsystem-style autocleanup macro
      that calls g_free() on the content of a local variable when it leaves
      scope (working only on GCC and clang).
    - GApplication now has an "is-busy" property, allowing one to query the
      effective busy state.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2015 17:36:38 +0000

glib2.0 (2.43.90-1) experimental; urgency=medium

  * New upstream release 2.43.90
    + new GSimpleIOStream class to construct a GIOStream from an arbitrary
      GInputStream and GOutputStream
    + GApplication: new API for marking 'busy' state according to the value of
      a boolean property on another object
    + GOptionGroup: add binding support (boxed type, annotation fixes, etc.)
  * debian/patches/gdbus-Let-the-pending-read-finish-before-closing-the.patch:
    Drop this cherry-pick from an upstream bug - should be fixed differently
    in this release (bgo #743990).
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Thu, 19 Feb 2015 11:37:11 +0000

glib2.0 (2.43.4-1) experimental; urgency=medium

  * New upstream release 2.43.4
    + GType now has type declaration macros G_DECLARE_DERIVABLE_TYPE,
      G_DECLARE_FINAL_TYPE and G_DECLARE_INTERFACE, which significantly reduce
      the boilerplate needed for GObject types and interfaces.
    + g_autoptr and g_auto are macros for declaring variables with automatic
      cleanup. They only work with gcc and clang.
    + GListModel is a new interface that represents a dynamic list of GObjects.
    + GListStore is a GSequence-based implementation of GListModel.
    + g_simple_action_set_state_hint: New function to set the state hint of
      GSimpleActions
    + g_settings_schema_list_children and g_settings_schema_key_get_name are
      new functions to complete the GSettingsSchema API.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Mon, 16 Feb 2015 16:37:30 +0000

glib2.0 (2.43.3-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in, debian/libglib2.0-dev.install.in,
    debian/libglib2.0-0-dbg.install.in: Install the gdb python scripts in the
    proper locations, move them to the -dbg package and add the needed
    Breaks/Replaces (Closes: #774024)

  [ Iain Lane ]
  * New upstream release 2.43.3
    + add g_set_object() convenience function
    + GNetworkMonitor: check if NM is not running and don't crash
    + fix some races with g_mkdir_with_parents
    + avoid use of G_STRLOC in G_OBJECT_WARN_INVALID_PSPEC in order to save on
      static strings
    + fix some content type vs. mime issues
  * 07_disable_tests_on_slow_archs.patch: Refresh

 -- Iain Lane <laney@debian.org>  Tue, 20 Jan 2015 13:46:28 +0000

glib2.0 (2.43.2-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Switch build-dependency from libelfg0-dev to libelf-dev
    (Closes: #769408)

  [ Iain Lane ]
  * New upstream release 2.43.2
    + New function: g_strv_contains
    + New function: g_network_address_new_loopback
    + New function: g_socket_send_messages
    + A new GNetworkMonitor implementation using NetworkManager provides more
      detailed connectivity information
  * 0001-GSettings-fix-check-for-delaying-backend-subscriptio.patch,
    0001-gmain-fix-poll-record-comparison.patch: gmain: fix the sorting of:
    Drop, applied in this release.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 16 Dec 2014 17:29:02 +0000

glib2.0 (2.43.1-2) experimental; urgency=medium

  * 0001-GSettings-fix-check-for-delaying-backend-subscriptio.patch:
    Cherry-pick patch from upstream. Check signal detail too when looking for
    pending signal handlers, so that subscribing to changed signals with a
    detail works again.
  * 0001-gmain-fix-poll-record-comparison.patch: gmain: fix the sorting of
    poll records. Resolves FTBFS on ppc64el.

 -- Iain Lane <laney@debian.org>  Fri, 28 Nov 2014 18:08:16 +0000

glib2.0 (2.43.1-1) experimental; urgency=medium

  * New upstream release 2.43.1, changes since 2.42.1:
    + GQueue now accepts NULL as a sibling in g_queue_insert_before() and
      g_queue_insert_after()
    + GObject gained a debug option to provide instance counts. To use it, set

