## glib2.0 2.44.1

=== debian/changelog ===
glib2.0 (2.44.1-1ubuntu1) vivid; urgency=medium

  * Merge stable release from Debian to vivid. (LP: #1454776), remaining
    change:
    - d/p/0001-Don-t-warn-about-deprecated-properties-by-default.patch:
      + Don't warn about deprecated properties by default

 -- Iain Lane <iain.lane@canonical.com>  Wed, 13 May 2015 17:59:35 +0100

glib2.0 (2.44.1-1) unstable; urgency=medium

  * New upstream release 2.44.1
    + Improve the default application algorithm
    + Bump the number of children a GType can have
    + Various testsuite improvements

 -- Iain Lane <laney@debian.org>  Wed, 13 May 2015 17:46:59 +0100

glib2.0 (2.44.0-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * d/p/regex-test-do-not-assert-that-system-PCRE-allows-P-1.patch:
    update to the version that went upstream in 2.45.1. No functional change.
  * d/p/regex-if-PCRE-is-8.34-or-later-disable-auto-possessi.patch:
    update to my latest version submitted upstream, which fixes undefined
    behaviour in the unlikely event that G_REGEX_OPTIMIZE is combined
    with g_regex_match_all().
  * d/p/regex-test-do-not-assert-that-system-PCRE-still-has-.patch:
    update to my latest version submitted upstream, which asserts that
    a newer-than-8.32 system PCRE does not have the bug in question.
  * d/p/gdbus-serialization-use-check_serialization-instead-.patch:
    add patch to fix FTBFS in non-minimal environments (libdbus-1-dev
    installed). Applied upstream for 2.45.2.
  * d/p/gdbus-peer-test-let-GDBusServer-start-before-notifyi.patch:
    add patch fixing a race condition in the gdbus-peer test.
    Applied upstream for 2.45.2.
  * d/p/GDBus-tests-change-progress-noise-from-if-not-quiet-.patch:
    add patch fixing potential test failures caused by corrupt TAP
    output. Applied upstream for 2.45.2.
  * d/p/gdatetime-test-don-t-assume-that-time-stands-still.patch:
    add patch fixing potential test failures at the boundary between
    one second and the next. Applied upstream for 2.45.2.
  * d/p/10_kfreebsd_issetugid_prototype.patch,
    d/p/11_kfreebsd_pthread_condattr_setclock_prototype.patch,
    d/p/13_sparc_prlimit_prototype.patch:
    drop workarounds for #635205, #703545, #703559 which were all fixed
    in jessie
  * d/p/81-skip-monitor-test-on-non-linux.patch: add DEP-3 information
  * d/p/90_gio-modules-multiarch-compat.patch: add DEP-3 information

  [ Iain Lane ]
  * d/p/0001-Fix-trashing-on-overlayfs.patch: Take patch from
    upstream bug to fix trashing on overlayfs.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2015 13:15:38 +0100

glib2.0 (2.44.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/watch: Consider stable versions only.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 11:27:39 +0100
