## glib2.0 2.46.2

=== debian/changelog ===
glib2.0 (2.46.2-1ubuntu2) wily; urgency=medium

  * d/p/0001-GDBusProxy-Fix-a-memory-leak-during-initialization.patch:
    Cherry-pick upstream patch to fix a memleak in GDBusProxy (LP: #1545308)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 01 Mar 2016 13:05:30 +0000

glib2.0 (2.46.2-1ubuntu1) wily; urgency=medium

  * No-change backport of stable update to wily. (LP: #1514475)
    + Fixes crash when deleting files from trash. (LP: #1512826)

 -- Iain Lane <laney@debian.org>  Mon, 09 Nov 2015 15:22:42 +0000

glib2.0 (2.46.2-1) unstable; urgency=medium

  * Fix Vcs-* to point to unstable.
  * New upstream stable release 2.46.2.
    + Fixes cross compilation (Closes: #800610)
  * Drop changes from 2.46.1-2, which are all in this upstream releaee.
  * Drop debian/patches/0001-GDateTime-test-fix-occasional-failures.patch,
    applied upstream.

 -- Iain Lane <laney@debian.org>  Mon, 09 Nov 2015 12:59:12 +0000

glib2.0 (2.46.1-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patches from upstream glib-2-46 branch to fix incomplete
    documentation (Closes: #659977)
  * debian/gdbus-example-objectmanager-server.c: add missing example file
    from upstream git; it was accidentally omitted from upstream tarballs

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2015 17:31:00 +0000

glib2.0 (2.46.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop clean-la.mk from debian/rules, no longer required.

  [ Iain Lane ]
  * New upstream release 2.46.1
    + Remove system_header pragma (should fix lack of warnings with things
      like g_return_if_fail)
    + move GStrv typedef (and auto-cleanup) from libgobject to libglib
    + fix order of trashing files to be closer to what is required in the
      specification. Namely, trashinfo files are written first.  This should
      fix issues with the gvfs trash backend failing to correctly read the
      info for recently trashed files (preventing 'restore'). (Closes:
      #800491) (LP: #1495943)
    + tweak mime logic to return text/plain on all empty files instead of
      returning application/octet-stream.  This includes files that have
      extensions that imply that they may be other types of files, which is a
      slight change of behaviour with respect to old GLib versions. (LP:
      #1497170)
  * debian/patches/0001-Revert-list-store-Fix-a-parameter-check.patch: Drop -
    this is applied upstream in this release.
  * debian/patches/0001-GDateTime-test-fix-occasional-failures.patch: Take
    patch from bgo#754994 to resolve intermittent test failures in the
    GDateTime tests.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 15 Oct 2015 16:08:30 +0100

glib2.0 (2.46.0-2) unstable; urgency=medium

  * debian/patches/0001-Revert-list-store-Fix-a-parameter-check.patch:
    Cherry-pick from upstream to fix GSequence (this at least makes
    GStreamer's testsuite fail).

 -- Iain Lane <laney@debian.org>  Mon, 28 Sep 2015 13:07:06 +0100

glib2.0 (2.46.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream stable release 2.46.0
    + Disable runtime-deprecation warnings
    + Fix marshalling of flags on bigendian 64bit architectures

  [ Simon McVittie ]
  * Change section of libglib2.0-refdbg from debug to devel, so that it
    isn't kicked out into a separate mirror network when we get
    automatic -dbgsym packages (Closes: #796836)

 -- Iain Lane <laney@debian.org>  Wed, 23 Sep 2015 11:33:01 +0100

glib2.0 (2.45.8-1) experimental; urgency=medium

  * New upstream development release.
  * Update debian/libglib2.0-0.symbols with one addition:
    g_param_spec_get_name_quark

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 10:05:17 +0200

glib2.0 (2.45.7-1) experimental; urgency=medium

  * New upstream release 2.45.7
    + Add G_FILE_ATTRIBUTE_STANDARD_IS_VOLATILE for use by non-POSIX-like
      backends (e.g. cloud storage).
    + GFileMonitor: Make the inotify backend work with atomic renames again
    + GSettings: change notification is again working unconditionally
    + GListStore has a sort function now
    + Test infrastructure:
     - Tests are now required to have unique names
     - TAP support has been improved
     - A macro for asserting that two memory regions have identical content
       has been added
  * debian/libglib2.0-0.symbols: Add new symbol for this release.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 03 Sep 2015 14:09:02 +0100

glib2.0 (2.45.6-1) experimental; urgency=medium

  * New upstream releases 2.45.5 and 2.45.6
    + GNetworkMonitor now provides information about metered networks
    + g_mem_set_vtable has been deprecated; it has not been working for quite
      a while. The recommendation is to use valgrind, or replace malloc
      itself.
  * debian/patches/0001-GOptionContext-Don-t-crash-without-main-group.patch:
    Drop, applied upstream.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Wed, 26 Aug 2015 17:25:52 +0100

glib2.0 (2.45.4-2) experimental; urgency=medium

  * debian/patches/0001-GOptionContext-Don-t-crash-without-main-group.patch:
    Cherry-pick. Don't crash in GOptionContext if there's no main group. Fixes
    crash when running (for example) gdbus.

 -- Iain Lane <laney@debian.org>  Wed, 29 Jul 2015 16:30:21 +0100

glib2.0 (2.45.4-1) experimental; urgency=medium

  * New upstream release 2.45.4
  * d/p/0001-gio-tests-appmonitor-Delete-file-before-checking-for.patch,
    d/p/0001-glocalfilemonitor-Send-DELETED-event-when-there-is-n.patch: Drop,
    applied upstream.
  * d/p/07_disable_tests_on_slow_archs.patch: Refresh to apply cleanly.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 21 Jul 2015 18:07:32 +0100

glib2.0 (2.45.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/regex-if-PCRE-is-8.34-or-later-disable-auto-possessi.patch:
    mark as applied upstream in 2.45.3

  [ Iain Lane ]
  * New upstream release 2.45.3.
